Bug 232162 - Events, to-dos and journal entries not sorted within a day in Month view
Summary: Events, to-dos and journal entries not sorted within a day in Month view
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: monthview (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-25 23:08 UTC by Sabine Faure
Modified: 2019-11-12 07:58 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.13.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sabine Faure 2010-03-25 23:08:59 UTC
Version:            (using Devel)
Compiler:          gcc 4.3.2 
OS:                Linux
Installed from:    Compiled sources

- Launch KOrg
- From the agenda view, create two events, two to-dos and two journal entries for the same day at different times and make sure to leave empty time slots in between them.
- Click on Month view to check that all the items displayed.
- Now go back to the agenda view and insert one event, one to-do and one journal on that same day into the time slots you left empty
- Click on Month view button

You can see that the items are not sorted by time nor by type (ie events, to-do, journal entries) within a day.

I think sorting by time is the behaviour users will most likely expect.

Trunk, Svn Rev 1107335
Comment 1 csabi 2019-10-07 12:26:34 UTC
Hi, I would love to have the events sorted by time.
It's pretty bad to have the events in random order honestly. Even the ones from the same calendar are not sorted.
Comment 2 Allen Winter 2019-10-14 21:07:53 UTC
what KOrganizer version are you using?
Comment 3 csabi 2019-10-14 23:11:57 UTC
19.08.2
Comment 4 Allen Winter 2019-11-11 18:32:37 UTC
confirmed
Comment 5 Allen Winter 2019-11-11 21:04:49 UTC
a patch is under review at https://phabricator.kde.org/D25266
Comment 6 Allen Winter 2019-11-11 22:23:52 UTC
Git commit 010612e5ac0849a7a19be786e6f9d0916f380060 by Allen Winter.
Committed on 11/11/2019 at 22:18.
Pushed by winterz into branch 'release/19.12'.

month/monthitem.cpp - fix chronological sorting in day block
FIXED-IN: 5.12.3

Differential Revision: https://phabricator.kde.org/D25266

M  +1    -1    src/month/monthitem.cpp

https://commits.kde.org/eventviews/010612e5ac0849a7a19be786e6f9d0916f380060
Comment 7 csabi 2019-11-12 00:24:22 UTC
Thanks a lot :)